#ifndef __MEDIAN_FILTERING_H__
#define __MEDIAN_FILTERING_H__

#include <stdio.h>
#include <opencv2/opencv.hpp>
#include <ippi.h>
#include <ippcc.h>

using namespace cv;

int median_opencv(const Mat &srcImg, Mat &dstImg, const int kSize = 5);
int median_ipp(const Mat &srcImg, Mat &dstImg, const int msk = 5);
int compare(const Mat &srcImgOCV, const Mat &srcImgIPP);

#endif
